@echo off
rem *******************************************
rem * The University of New South Wales, AUSTRALIA
rem * The School of Surveying & Spatial Information Systems
rem * Satellite Navigation And Positioning Laboratory
rem * All copyrights reserved.
rem *
rem * Author        Yong Heo 
rem * Contact      yong.heo@unsw.edu.au
rem * Modified      04th/FEB/2009
rem * Purpose      DOS batch file to run rtcm3decoder
rem *******************************************

rem * ---------------------------------------------------------------------------
rem * NTRIP Caster information IP address & Port number
rem * ---------------------------------------------------------------------------
set CASTER_IP=www.igs-ip.net
set CASTER_PORT=2101

rem * ---------------------------------------------------------------------------
rem * NTRIP Clinet authentication information 
rem * ---------------------------------------------------------------------------
set USERNAME=XXXX
set PASSWORD=XXXX

rem * ---------------------------------------------------------------------------
rem * NTRIP Mountpoint
rem * ---------------------------------------------------------------------------
set STREAM=XXXX

rem * ---------------------------------------------------------------------------
rem * RINEX file name for logging observation data
rem * ---------------------------------------------------------------------------
set RINEX=XXXX

cls

rem * ---------------------------------------------------------------------------
rem * 4 different options for running examples of this rtcm3decoder
rem * ---------------------------------------------------------------------------

rem * ---------------------------------------------------------------------------
rem * source table request
rem * ---------------------------------------------------------------------------

rtcm3decoder.exe -s %CASTER_IP% -r %CASTER_PORT% -u %USERNAME% -p %PASSWORD%


rem * ---------------------------------------------------------------------------
rem * display source information for a mountpoint 
rem * ---------------------------------------------------------------------------

rem rtcm3decoder.exe -s %CASTER_IP% -r %CASTER_PORT% -u %USERNAME% -p %PASSWORD% -i %STREAM%


rem * ---------------------------------------------------------------------------
rem * real time data request & display information on the screen
rem * ---------------------------------------------------------------------------

rem rtcm3decoder.exe -s %CASTER_IP% -r %CASTER_PORT% -u %USERNAME% -p %PASSWORD% -m %STREAM%


rem * ---------------------------------------------------------------------------
rem * log data to a rinex file
rem * ---------------------------------------------------------------------------

rem rtcm3decoder.exe -s %CASTER_IP% -r %CASTER_PORT% -u %USERNAME% -p %PASSWORD% -m %STREAM% -f %RINEX%

